Package org.apache.tapestry5.http.services

# Enum Session.LockMode

java.lang.Object
java.lang.Enum<Session.LockMode>
org.apache.tapestry5.http.services.Session.LockMode

All Implemented Interfaces:
  `Serializable`, `Comparable<Session.LockMode>`, `java.lang.constant.Constable`

Enclosing interface:
  Session

public static enum Session.LockMode extends Enum<Session.LockMode>
The type of lock used to access atttributes in the `Session`.

The actual lock-type depends on if a lock is already held by the this thread.

Since:
  5.9

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  No lock is supposed to be acquired.
  `READ`
  Acquire a shared read-lock.
  `WRITE`
  Acquire an exclusive write-lock.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Session.LockMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Session.LockMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final Session.LockMode NONE
    No lock is supposed to be acquired.

  - ### READ

    public static final Session.LockMode READ
    Acquire a shared read-lock.

  - ### WRITE

    public static final Session.LockMode WRITE
    Acquire an exclusive write-lock.

- ## Method Details

  - ### values

    public static Session.LockMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Session.LockMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null